Bug 1033598 - Mouse cursor disappears after logging in using the Awesome window manager
Summary: Mouse cursor disappears after logging in using the Awesome window manager
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: awesome
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1008965
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-22 13:01 UTC by W. Michael Petullo
Modified: 2015-06-30 00:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:44:46 UTC


Attachments (Terms of Use)

Description W. Michael Petullo 2013-11-22 13:01:08 UTC
Description of problem:
When I log in to use the Awesome window manager, my trackpad cursor disappears. Although I cannot see the cursor, I am still able to use my trackpad if I blindly click on things.

Version-Release number of selected component (if applicable):
awesome-3.5.1-8.fc20.x86_64
xorg-x11-drv-nouveau-1.0.9-2.fc20.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Update to Fedora 20 Beta
2. Log in through GDM, using Awesome as the window manager

Actual results:
The trackpad cursor disappears, even though blindly moving the cursor and clicking still works.

Expected results:


Additional info:
I am using the Nouveau X driver with the following graphics card:

02:00.0 VGA compatible controller: NVIDIA Corporation C79 [GeForce 9400M] (rev b1)

Logging in to use gnome-shell works. In this case, the mouse cursor does not disappear.

Possibly related to bug #1008965.

Comment 1 W. Michael Petullo 2013-11-22 15:45:48 UTC
The X cursor works with the Awesome window manager if I use dconf-editor to set "/org/gnome/settings-daemon/plugins/cursor/active" to false. See also: http://awesome.naquadah.org/wiki/Quickly_Setting_up_Awesome_with_Gnome.

Comment 2 Christian Stadelmann 2013-12-19 18:17:21 UTC
This bug may be fixed with https://bugzilla.redhat.com/show_bug.cgi?id=1008965 being mostly fixed. Can you confirm this?

Comment 3 W. Michael Petullo 2013-12-20 17:04:00 UTC
Well, I have an up-to-date Fedora 20, and as soon as I use dconf-editor to check "active" for "/org/gnome/settings-daemon/plugins/cursor/active" my mouse cursor disappears.

Comment 4 Thomas Moschny 2014-04-18 19:40:30 UTC
Can you please check whether the bug persists with
https://admin.fedoraproject.org/updates/FEDORA-2014-4737/awesome-3.5.5-1.fc20 ?

Comment 5 W. Michael Petullo 2014-04-20 03:27:43 UTC
No change with awesome-3.5.5-1.fc20. Comment #3 still stands.

Comment 6 Thomas Moschny 2014-08-09 06:47:46 UTC
Does switching to a text console and back help?
(suggested by https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/1238410/comments/4)

Generally, I think this is basically bug 1008965, with corresponding Gnome bug https://bugzilla.gnome.org/show_bug.cgi?id=706229 and X bug https://bugs.freedesktop.org/show_bug.cgi?id=59644

Comment 7 Fedora End Of Life 2015-05-29 09:49:45 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-06-30 00:44:46 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.